
//
// Copyright 1994 (c) Todd Anthony Nathan.  All Rights Reserved.
//
// Wed Apr 27 21:29:45 GMT-0700 1994
//

// Standard headers for all XModules (change the definition of XMODKIT_DIR in
// the Makefile to the directory where these are located) 
#import "XModule.h"
#import "XModule_defs.h"
#import "Value.h"

// Brought in here since we are letting the compiler do the binding...  Bad but
//  we don't need runtime binding on these objects... ;')
#import "MiscProgressView.h"
#import "MiscProgressBar.h"
//#import "MiscProgressPie.h"	// Not supported yet, but in next release.


@interface ProgressPanel : XModule
{
	Panel			*progressPanel;
	MiscProgressBar	*progressView;
	TextField		*loTextField;
	TextField		*hiTextField;
	TextField		*infoTextField;
	Button			*pauseButton;
	Button			*cancelButton;
}

// Creating and Initializing the XModule instance
- init;
- free;

// Standard XModule methods that will be over-ridden in most cases
+ (const char *)moduleName;
+ (const char **)xCmdsAndFcns;
- prepareToExecuteHandlers;
- executeHandler:(NXAtom)handlerName;

// Some helpful stuff for loading interface data and other resources
+ finishLoading:(struct mach_header *)header;
- loadInterfaceData;

// XModule Methods
- clearProgressView;
- hideProgressPanel;
- incrementProgressView;
- progressPanel;
- setProgressViewEmphasis;
- setProgressViewIncrement;
- showProgressPanel;
- pp_version;			// Provides a way to know which version of the XModule you have.

// Right now these are not supported, see source (.m) file for specifics.
//
// Button target methods, with which the actions are setup in the progressPanel method.
//- pauseProgress:sender;
//- cancelProgress:sender;

@end
